

<?php
include_once(__DIR__."/../../core.php");


if ($modules_info[$module_name]["permessi"] == 'rw') {
	switch (filter('op')) {
		case "update" :
			//Upload file
			$f = pathinfo( $_FILES['immagine01']['name'] );
			$filename = $f['filename'].".jpg";
			$tmp = $_FILES['immagine01']['tmp_name'];
			$upload_dir = $docroot."/files/utenti/";
			$name_avatar=$f['filename']."_avatar".".jpg";
			$profilo_skin = save($_POST['profilo_skin']);
			$profilo_pannello = save($_POST['profilo_pannello']);
			( $_POST['vedo_avvisi'] == 'on' ) ? $vedo_avvisi=1 : $vedo_avvisi=0;
			( $_POST['vedo_news'] == 'on' ) ? $vedo_news=1 : $vedo_news=0;
			
			
			$_SESSION['profilo_pannello']=$profilo_pannello;
			
			$query = "UPDATE zz_utenti SET profilo_skin=\"$profilo_skin\",".
				"profilo_pannello=\"$profilo_pannello\",".
				"vedo_avvisi=\"$vedo_avvisi\",".
				"vedo_news=\"$vedo_news\"".						
				" WHERE idutente=\"".$id_record."\"";
					$dbo->query( $query );		
			
			
			if( $_FILES['immagine01']['name'] != '' ){
				$filename = unique_filename( $filename, $upload_dir );
				if( create_thumbnails_utenti( $tmp, $filename, $upload_dir ) ){

					$dbo->query("UPDATE zz_utenti SET immagine01=\"".$filename."\" , immagine02=\"".$name_avatar."\"  WHERE idutente=\"".$id_record."\"");

				}
				else{
					array_push( $_SESSION['warnings'], "Errore durante il caricamento del file in ".$upload_dir."!" );
				}
			}

			//Eliminazione file
			if( $html->form('immagine01','post') == 'deleteme' ){
				$filename = $html->form('prev_immagine01', 'post');
				$f = pathinfo($filename);

				if( $dbo->query("UPDATE zz_utenti SET immagine01='' , immagine02='' WHERE idutente=\"".$id_record."\"") ){
					@unlink($upload_dir."/".$f['filename'].".".$f['extension']);
					@unlink($upload_dir."/".$f['filename']."_avatar.".$f['extension']);
					@unlink($upload_dir."/".$f['filename']."_thumb100.".$f['extension']);
					@unlink($upload_dir."/".$f['filename']."_thumb250.".$f['extension']);
				}
			}
			
			break;
		
		case "add_pannello":
			$idpannello = $_POST['idpannello'];
			$iddimensione = $_POST['iddimensione'];
			$rs_dimensione = $dbo->fetchArray("select descrizione from zz_pannello_righe_dimensione where id='".$iddimensione."'");	
					
			
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query = "INSERT INTO zz_utenti_righe(idutente,idpannello,dimensione,visibile) VALUES ('".$id_record."','".$idpannello."','".$rs_dimensione[0]['descrizione']."','1')";
				$dbo->query($query);
			}
			array_push( $_SESSION['infos'],	"Nuova pannello aggiunta !" );	
			break;
		
		case "edit_tipologia":
			$idriga = save($_POST['idriga']);
			$idpannello = $_POST['idpannello'];
			$iddimensione = $_POST['iddimensione'];
			$rs_dimensione = $dbo->fetchArray("select descrizione from zz_pannello_righe_dimensione where id='".$iddimensione."'");	
			if( $modules_info[$module_name]["permessi"] == 'rw' ){									
				$query = "UPDATE zz_utenti_righe SET idpannello=\"".$idpannello."\" , dimensione=\"".$rs_dimensione[0]['descrizione']."\"  WHERE id=\"".$idriga."\"";
				$dbo->query( $query );
				array_push( $_SESSION['infos'],	"Pannello modificata!" );	
			}
		break;
		
		case "unlink_tipologia":
			$idriga = save($_POST['idriga']);
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$dbo->query("DELETE FROM zz_utenti_righe WHERE id='$idriga'");
				array_push( $_SESSION['infos'],	"Pannello Wizard rimossa!" );	
			}
		break;	
		
	}
}


